Bug 2079845

Summary: The Event Sinks catalog page now has a blank space on the left
Product: OpenShift Container Platform Reporter: Debsmita Santra <dsantra>
Component: Dev ConsoleAssignee: Jaivardhan Kumar <jakumar>
Status: CLOSED ERRATA QA Contact: Debsmita Santra <dsantra>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.11CC: aos-bugs, cjerolim, nmukherj
Target Milestone: ---   
Target Release: 4.11.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-08-10 11:09:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
event sinks catalog page none

Description Debsmita Santra 2022-04-28 11:17:48 UTC
Created attachment 1875639 [details]
event sinks catalog page

Description of problem:
The Event Sinks catalog page has a blank space on the left. When typing something in the filter, the provider section shows up on the left

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Topology -> Right-click to open the context menu
2. Click on Event Sinks
3. Start typing something in the filter input field

Actual results:
Provider on the left shows up when typing something in the filter

Expected results:
If all the event sinks in the catalog are coming from only one provider then hide the `providers` section

Additional info:

Comment 3 Jaivardhan Kumar 2022-05-11 14:36:12 UTC
The issue is with filter group and filters showing up and hiding based on filter count if user types as in below and filter group should not show up if there is only one filter. Have added more details here https://github.com/openshift/console/pull/11481

Comment 6 Debsmita Santra 2022-05-23 17:04:52 UTC
verified this on 4.11.0-0.nightly-2022-05-20-213928

Comment 8 errata-xmlrpc 2022-08-10 11:09:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069